petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetField

Return the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetField(DM dm, PetscInt f, PetscObject *field)

Not collective

### Input Parameters

| dm | - The DM
| f | - The field number

### Output Parameter

field -The discretization object

### See Also

DMSetField()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html